[Python-Dev] python/dist/src/Lib/email/testtest_email_codecs.py, 1.4, 1.5

Aahz aahz at pythoncraft.com
Sun Jan 18 10:54:33 EST 2004

On Sun, Jan 18, 2004, Barry Warsaw wrote:
> On Sun, 2004-01-18 at 10:15, Aahz wrote:
>> That's not the question.  IIUC, there are already some kind of CJK codecs
>> available; this is a different set of codecs.  Unless these new codecs
>> produce the same results, we can't afford to switch.
> We're not switching codecs since 2.3 doesn't ship with either
> JapaneseCodecs or CJKCodecs.  No one's proposing that 2.3 start doing
> that now.
> What we're doing is removing a hardcoded dependency on exactly the
> JapaneseCodecs, which have to be installed separately anyway.  With
> these change, an end-user could install either JapaneseCodecs or
> CJKCodecs and the rest of the code would/should work without
> modification.

Just to make completely sure I understand this: if someone has an
existing installation with JapanseCodecs and they upgrade with these
code changes, will there be any changes in the way they access codecs or
in the results they get?
Aahz (aahz at pythoncraft.com)           <*>         http://www.pythoncraft.com/

A: No.
Q: Is top-posting okay?

More information about the Python-Dev mailing list